# Class ColoredAnnotation

java.lang.Object
jspecview.common.Coordinate
jspecview.common.Annotation
jspecview.common.ColoredAnnotation

public class ColoredAnnotation extends Annotation
ColoredAnnotation is a label on the spectrum; not an integralRegion

Author:
  Bob Hanson hansonr@stolaf.edu

## Nested Class Summary

### Nested classes/interfaces inherited from class Annotation

`Annotation.AType`

## Field Summary

### Fields inherited from class Annotation

`isPixels, text`

## Constructor Summary

Constructors
Constructor
Description
`ColoredAnnotation()`

## Method Summary

Modifier and Type
Method
Description
`GenericColor`
`getColor()`
`ColoredAnnotation`
`setCA(double x, double y, Spectrum spec, String text, GenericColor color, boolean isPixels, boolean is2D, int offsetX, int offsetY)`

### Methods inherited from class Annotation

`getColoredAnnotation, setA, toString`

### Methods inherited from class Coordinate

`applyScale, copy, deltaX, equals, findXForPeakNearest, getMaxX, getMaxX, getMaxY, getMaxYUser, getMinX, getMinX, getMinY, getMinYUser, getNearestIndexForX, getNearestXWithYAbove, getXVal, getYVal, getYValueAt, isYInRange, normalise, parabolicInterpolation, parseDSV, removeScale, reverse, set, setXVal, setYVal, shiftX`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ColoredAnnotation

public ColoredAnnotation()

## Method Details

### getColor

public GenericColor getColor()

### setCA

public ColoredAnnotation setCA(double x, double y, Spectrum spec, String text, GenericColor color, boolean isPixels, boolean is2D, int offsetX, int offsetY)